com.opensymphony.xwork2.spring

## Class SpringProxyableObjectFactory

- java.lang.Object
- - com.opensymphony.xwork2.ObjectFactory
  - - com.opensymphony.xwork2.spring.SpringObjectFactory
    - - com.opensymphony.xwork2.spring.SpringProxyableObjectFactory

- All Implemented Interfaces:
    Serializable, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      public class SpringProxyableObjectFactory
      extends SpringObjectFactory

  SpringProxyableObjectFactory.
  Author:
    Jason Carreira
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.spring.SpringObjectFactory

      `appContext, autowireStrategy, autoWiringFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringProxyableObjectFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `buildBean(String beanName, Map<String,Object> extraContext)` Build a generic Java object of the given type.
    `protected org.springframework.context.ApplicationContext` | `getApplicationContext(Map<String,Object> context)` Subclasses may override this to return a different application context.

    - ### Methods inherited from class com.opensymphony.xwork2.spring.SpringObjectFactory

      `autoWireBean, autoWireBean, buildBean, buildBean, findAutoWiringBeanFactory, getAutowireStrategy, getClassInstance, isNoArgConstructorRequired, setAlwaysRespectAutowireStrategy, setApplicationContext, setApplicationContextPath, setAutowireStrategy, setEnableAopSupport, setUseClassCache`

    - ### Methods inherited from class com.opensymphony.xwork2.ObjectFactory

      `buildAction, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, injectInternalBeans, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringProxyableObjectFactory

          public SpringProxyableObjectFactory()

  - ### Method Detail

    - #### buildBean

          public Object buildBean(String beanName,
                                  Map<String,Object> extraContext)
                           throws Exception

      Description copied from class: `ObjectFactory`
      Build a generic Java object of the given type.
      Overrides:
        `buildBean` in class `ObjectFactory`
      Parameters:
        `beanName` - the type of Object to build
        `extraContext` - a Map of extra context which uses the same keys as the `ActionContext`
      Returns:
        object for the given type
      Throws:
        `Exception` - in case of any error

    - #### getApplicationContext

          protected org.springframework.context.ApplicationContext getApplicationContext(Map<String,Object> context)

      Subclasses may override this to return a different application context. Note that this application context should see any changes made to the `autoWiringFactory`, so the application context should be either the original or a child context of the original.
      Parameters:
        `context` - provided context.
      Returns:
        the application context

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.